Bug 214485 - sysutils/freefilesync: fails to build with boost 1.62
Summary: sysutils/freefilesync: fails to build with boost 1.62
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 199601
  Show dependency treegraph
 
Reported: 2016-11-13 20:06 UTC by Jan Beich
Modified: 2016-11-21 03:57 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-13 20:06:10 UTC
In file included from algorithm.cpp:13:
In file included from ../../zen/guid.h:16:
In file included from /usr/local/include/boost/uuid/uuid_generators.hpp:17:
In file included from /usr/local/include/boost/uuid/random_generator.hpp:17:
In file included from /usr/local/include/boost/shared_ptr.hpp:17:
In file included from /usr/local/include/boost/smart_ptr/shared_ptr.hpp:28:
In file included from /usr/local/include/boost/smart_ptr/detail/shared_count.hpp:29:
In file included from /usr/local/include/boost/smart_ptr/detail/sp_counted_base.hpp:45:
In file included from /usr/local/include/boost/smart_ptr/detail/sp_counted_base_clang.hpp:18:
In file included from /usr/local/include/boost/detail/sp_typeinfo.hpp:20:
In file included from /usr/local/include/boost/core/typeinfo.hpp:119:
In file included from /usr/local/include/boost/core/demangle.hpp:32:
/usr/include/c++/v1/cxxabi.h:190:19: error: '__cxa_get_globals' is missing exception specification
      'noexcept'
__cxa_eh_globals *__cxa_get_globals(void);
                  ^
../../zen/scope_guard.h:31:30: note: previous declaration is here
extern "C" __cxa_eh_globals* __cxa_get_globals() noexcept;
                             ^

http://package18.nyi.freebsd.org/data/headamd64-default-PR199601/2016-03-27_19h52m41s/logs/errors/freefilesync-7.9.log
Comment 1 commit-hook freebsd_committer 2016-11-21 03:53:31 UTC
A commit references this bug:

Author: jbeich
Date: Mon Nov 21 03:52:38 UTC 2016
New revision: 426687
URL: https://svnweb.freebsd.org/changeset/ports/426687

Log:
  sysutils/freefilesync: unbreak with boost 1.62 on 11.0+

  In file included from algorithm.cpp:13:
  In file included from ../../zen/guid.h:16:
  In file included from /usr/local/include/boost/uuid/uuid_generators.hpp:17:
  In file included from /usr/local/include/boost/uuid/random_generator.hpp:17:
  In file included from /usr/local/include/boost/shared_ptr.hpp:17:
  In file included from /usr/local/include/boost/smart_ptr/shared_ptr.hpp:28:
  In file included from /usr/local/include/boost/smart_ptr/detail/shared_count.hpp:29:
  In file included from /usr/local/include/boost/smart_ptr/detail/sp_counted_base.hpp:45:
  In file included from /usr/local/include/boost/smart_ptr/detail/sp_counted_base_clang.hpp:18:
  In file included from /usr/local/include/boost/detail/sp_typeinfo.hpp:20:
  In file included from /usr/local/include/boost/core/typeinfo.hpp:119:
  In file included from /usr/local/include/boost/core/demangle.hpp:32:
  /usr/include/c++/v1/cxxabi.h:190:19: error: '__cxa_get_globals' is missing exception specification
        'noexcept'
  __cxa_eh_globals *__cxa_get_globals(void);
                    ^
  ../../zen/scope_guard.h:31:30: note: previous declaration is here
  extern "C" __cxa_eh_globals* __cxa_get_globals() noexcept;
                               ^

  PR:		214485
  Reported by:	antoine (via exp-run)

Changes:
  head/sysutils/freefilesync/Makefile
  head/sysutils/freefilesync/files/patch-zen_scope__guard.h
Comment 2 Jan Beich freebsd_committer 2016-11-21 03:57:13 UTC
libc++ vs. libstdc++ fixed via std::uncaught_exceptions, sidestepping the issue.